<template>
    <div class="growth_new__timer timer">
        <div
            class="timer__text"
            :style="{color: popup.colors.timer_pre_text_color, fontSize: popup.timer_text_size+'px'}"
        >
            {{ popup.timer_pre_text }}
        </div>
        <div class="timer__time">
            <div
                class="timer__count"
                :style="{backgroundColor: popup.colors.timer_background}"
            >
                 <span
                    :style="{color: popup.colors.timer_text}"
                >
                {{time.hours[0]}}
                </span>
            </div>
            <div
                class="timer__count"
                :style="{backgroundColor: popup.colors.timer_background}"
            >
                 <span
                    :style="{color: popup.colors.timer_text}"
                >
                {{time.hours[1]}}
                </span>
            </div>

            <svg
                class="timer__dots"
                width="3"
                height="6"
                viewBox="0 0 3 6"
                fill="none"
                xmlns="http://www.w3.org/2000/svg"
            >
                <path
                    d="M1.66702 2.67472C1.78258 2.67467 1.89701 2.65105 2.00375 2.60523C2.1105 2.55941 2.20748 2.49228 2.28916 2.40766C2.37084 2.32305 2.43561 2.22261 2.47979 2.11209C2.52396 2.00156 2.54667 1.88311 2.54662 1.76351C2.54657 1.6439 2.52375 1.52547 2.47948 1.41499C2.43521 1.30451 2.37035 1.20413 2.28859 1.11959C2.20684 1.03506 2.1098 0.968013 2.00301 0.922291C1.89623 0.876569 1.78178 0.853065 1.66622 0.853119C1.43283 0.853229 1.20904 0.949293 1.04408 1.12018C0.879127 1.29107 0.786515 1.52277 0.786621 1.76433C0.786727 2.00589 0.879543 2.23752 1.04465 2.40825C1.20976 2.57898 1.43363 2.67483 1.66702 2.67472ZM1.66702 4.16512C1.43352 4.16512 1.20959 4.26113 1.04448 4.43201C0.879377 4.6029 0.786621 4.83467 0.786621 5.07634C0.786621 5.31801 0.879377 5.54978 1.04448 5.72066C1.20959 5.89155 1.43352 5.98755 1.66702 5.98755C1.90052 5.98755 2.12445 5.89155 2.28956 5.72066C2.45466 5.54978 2.54742 5.31801 2.54742 5.07634C2.54742 4.83467 2.45466 4.6029 2.28956 4.43201C2.12445 4.26113 1.90052 4.16512 1.66702 4.16512Z"
                    :fill="popup.colors.timer_background"
                />
            </svg>

            <div
                class="timer__count"
                :style="{backgroundColor: popup.colors.timer_background}"
            >
                <span
                    :style="{color: popup.colors.timer_text}"
                >{{time.minutes[0]}}
                </span>
            </div>
            <div
                class="timer__count"
                :style="{backgroundColor: popup.colors.timer_background}"
            >
                 <span
                    :style="{color: popup.colors.timer_text}"
                >{{time.minutes[1]}}
                </span>
            </div>

            <svg
                class="timer__dots"
                width="3"
                height="6"
                viewBox="0 0 3 6"
                fill="none"
                xmlns="http://www.w3.org/2000/svg"
            >
                <path
                    d="M1.66702 2.67472C1.78258 2.67467 1.89701 2.65105 2.00375 2.60523C2.1105 2.55941 2.20748 2.49228 2.28916 2.40766C2.37084 2.32305 2.43561 2.22261 2.47979 2.11209C2.52396 2.00156 2.54667 1.88311 2.54662 1.76351C2.54657 1.6439 2.52375 1.52547 2.47948 1.41499C2.43521 1.30451 2.37035 1.20413 2.28859 1.11959C2.20684 1.03506 2.1098 0.968013 2.00301 0.922291C1.89623 0.876569 1.78178 0.853065 1.66622 0.853119C1.43283 0.853229 1.20904 0.949293 1.04408 1.12018C0.879127 1.29107 0.786515 1.52277 0.786621 1.76433C0.786727 2.00589 0.879543 2.23752 1.04465 2.40825C1.20976 2.57898 1.43363 2.67483 1.66702 2.67472ZM1.66702 4.16512C1.43352 4.16512 1.20959 4.26113 1.04448 4.43201C0.879377 4.6029 0.786621 4.83467 0.786621 5.07634C0.786621 5.31801 0.879377 5.54978 1.04448 5.72066C1.20959 5.89155 1.43352 5.98755 1.66702 5.98755C1.90052 5.98755 2.12445 5.89155 2.28956 5.72066C2.45466 5.54978 2.54742 5.31801 2.54742 5.07634C2.54742 4.83467 2.45466 4.6029 2.28956 4.43201C2.12445 4.26113 1.90052 4.16512 1.66702 4.16512Z"
                    :fill="popup.colors.timer_background"
                />
            </svg>

            <div
                class="timer__count"
                :style="{backgroundColor: popup.colors.timer_background}"
            >
                 <span
                    :style="{color: popup.colors.timer_text}"
                >{{time.seconds[0]}}
                </span>
            </div>
            <div
                class="timer__count"
                :style="{backgroundColor: popup.colors.timer_background}"
            >
                 <span
                    :style="{color: popup.colors.timer_text}"
                >
                {{time.seconds[1]}}
                </span>
            </div>
        </div>
    </div>
</template>

<script>
export default {
  props: ['popup'],

  computed: {
    time() {
        const popup = this.popup

        const timerHours = String(this.popup.hours).split('')
        const timerMinutes = String(this.popup.minutes).split('')
        const timerSeconds = String(this.popup.seconds).split('')

        const hours = timerHours.length > 1 ? [timerHours[0], timerHours[1]] : [0, timerHours[0] || 0]
        const minutes = timerMinutes.length > 1 ? [timerMinutes[0], timerMinutes[1]] : [0, timerMinutes[0] || 0]
        const seconds = timerSeconds.length > 1 ? [timerSeconds[0], timerSeconds[1]] : [0, timerSeconds[0] || 0]

        return {
            hours,
            minutes,
            seconds,
        }
    }
  }
}
</script>
